This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1074720 - (CVE-2014-2277) CVE-2014-2277 perltidy: insecure temporary file creation
CVE-2014-2277 perltidy: insecure temporary file creation
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140303,reported=2...
: Security
Depends On: 1074721 1074722 1074723
Blocks: 1072135
  Show dependency treegraph
 
Reported: 2014-03-10 20:53 EDT by Murray McAllister
Modified: 2015-07-29 13:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-03-10 20:53:48 EDT
Jakub Wilk discovered that perltidy's make_temporary_filename() function insecurely created temporary files via the use of the tmpnam() function. A local attacker could use this flaw to perform a symbolic link attack.

Fix from Don Armstrong: http://git.donarmstrong.com/?p=perltidy.git;a=blob;f=debian/patches/fix_insecure_tmpnam_usage_740670
Comment 1 Murray McAllister 2014-03-10 20:54:50 EDT
MITRE assigned CVE-2014-2277 to this issue:

http://seclists.org/oss-sec/2014/q1/533
Comment 2 Murray McAllister 2014-03-10 20:56:09 EDT
Created perltidy tracking bugs for this issue:

Affects: fedora-all [bug 1074721]
Affects: epel-5 [bug 1074722]
Comment 5 Fedora Update System 2014-03-24 02:37:23 EDT
perltidy-20130922-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-24 02:39:20 EDT
perltidy-20130922-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Murray McAllister 2014-07-17 00:47:47 EDT
Statement:

This issue affects the versions of perltidy as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/
Comment 8 Fedora Update System 2014-12-11 01:33:59 EST
perltidy-20070801-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.